/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	<stdlib.h>
#include	"memory_debug.h"
#include	"utils.h"
#include	"fcntl.h"
#include	"task.h"
#include	"machine/fork_lock.h"

extern int max_fid;

void
launch_normal(char * proc)
{
char * buf;
int id;
int i;
	wlock_fork();
	id = fork();
	if ( id == 0 ) {
		for ( i = 3 ; i <= max_fid ; i ++  )
			close(i);
		system(proc);
		exit(0);
	}
	wunlock_fork();
}
